---
title: Fetch details of a participant
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Realtime Kit](https://developers.cloudflare.com/api/go/resources/realtime_kit)

[Sessions](https://developers.cloudflare.com/api/go/resources/realtime_kit/subresources/sessions)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Fetch details of a participant

client.RealtimeKit.Sessions.GetSessionParticipantDetails(ctx, appID, sessionID, participantID, params) (\*[SessionGetSessionParticipantDetailsResponse](<https://developers.cloudflare.com/api/go/resources/realtime_kit#(resource)%20realtime_kit.sessions%20%3E%20(model)%20SessionGetSessionParticipantDetailsResponse%20%3E%20(schema)>), error)

GET/accounts/{account\_id}/realtime/kit/{app\_id}/sessions/{session\_id}/participants/{participant\_id}

Returns details of the given participant ID for the given session ID. Use the peer report endpoint to retrieve call statistics.

##### Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. [Create a token](https://developers.cloudflare.com/fundamentals/api/get-started/create-token/).

**Example:**`Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY`

##### Accepted Permissions (at least one required)

`Realtime Admin``Realtime`

##### ParametersExpand Collapse

appID string

The app identifier tag.

[Link to this property](<#(resource)%20realtime_kit.sessions%20%3E%20(method)%20get_session_participant_details%20%3E%20(params)%20default%20%3E%20(param)%20app_id%20%3E%20(schema)>)

sessionID string

formatuuid

[Link to this property](<#(resource)%20realtime_kit.sessions%20%3E%20(method)%20get_session_participant_details%20%3E%20(params)%20default%20%3E%20(param)%20session_id%20%3E%20(schema)>)

participantID string

formatuuid

[Link to this property](<#(resource)%20realtime_kit.sessions%20%3E%20(method)%20get_session_participant_details%20%3E%20(params)%20default%20%3E%20(param)%20participant_id%20%3E%20(schema)>)

<details>

<summary>

params SessionGetSessionParticipantDetailsParams

</summary>

AccountID param.Field\[string]

Path param: The account identifier tag.

maxLength32

<a href="#(resource)%20realtime_kit.sessions%20%3E%20(method)%20get_session_participant_details%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

IncludePeerEvents param.Field\[bool]Optional

Query param: if true, response includes all the peer events of participant.

<a href="#(resource)%20realtime_kit.sessions%20%3E%20(method)%20get_session_participant_details%20%3E%20(params)%20default%20%3E%20(param)%20include_peer_events">Link to this property</a>

</details>

[Link to this property](<#(resource)%20realtime_kit.sessions%20%3E%20(method)%20get_session_participant_details%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type SessionGetSessionParticipantDetailsResponse struct{…}

</summary>

<details>

<summary>

Data SessionGetSessionParticipantDetailsResponseDataOptional

</summary>

<details>

<summary>

Participant SessionGetSessionParticipantDetailsResponseDataParticipantOptional

</summary>

ID stringOptional

Participant ID. This maps to the corresponding peerId.

<a href="#(resource)%20realtime_kit.sessions%20%3E%20(model)%20SessionGetSessionParticipantDetailsResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20participant%20%3E%20(property)%20id">Link to this property</a>

CreatedAt stringOptional

timestamp when this participant was created.

<a href="#(resource)%20realtime_kit.sessions%20%3E%20(model)%20SessionGetSessionParticipantDetailsResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20participant%20%3E%20(property)%20created_at">Link to this property</a>

CustomParticipantID stringOptional

ID passed by client to create this participant.

<a href="#(resource)%20realtime_kit.sessions%20%3E%20(model)%20SessionGetSessionParticipantDetailsResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20participant%20%3E%20(property)%20custom_participant_id">Link to this property</a>

DisplayName stringOptional

Display name of participant when joining the session.

<a href="#(resource)%20realtime_kit.sessions%20%3E%20(model)%20SessionGetSessionParticipantDetailsResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20participant%20%3E%20(property)%20display_name">Link to this property</a>

Duration float64Optional

number of minutes for which the participant was in the session.

<a href="#(resource)%20realtime_kit.sessions%20%3E%20(model)%20SessionGetSessionParticipantDetailsResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20participant%20%3E%20(property)%20duration">Link to this property</a>

JoinedAt stringOptional

timestamp at which participant joined the session.

<a href="#(resource)%20realtime_kit.sessions%20%3E%20(model)%20SessionGetSessionParticipantDetailsResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20participant%20%3E%20(property)%20joined_at">Link to this property</a>

LeftAt stringOptional

timestamp at which participant left the session.

<a href="#(resource)%20realtime_kit.sessions%20%3E%20(model)%20SessionGetSessionParticipantDetailsResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20participant%20%3E%20(property)%20left_at">Link to this property</a>

<details>

<summary>

PeerEvents \[]SessionGetSessionParticipantDetailsResponseDataParticipantPeerEventOptional

Connection lifecycle events for the participant’s peer. Only included when <code>include_peer_events</code> is true.

</summary>

ID stringOptional

ID of the peer event.

<a href="#(resource)%20realtime_kit.sessions%20%3E%20(model)%20SessionGetSessionParticipantDetailsResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20participant%20%3E%20(property)%20peer_events%20%3E%20(items)%20%3E%20(property)%20id">Link to this property</a>

CreatedAt stringOptional

Timestamp when this peer event was created.

<a href="#(resource)%20realtime_kit.sessions%20%3E%20(model)%20SessionGetSessionParticipantDetailsResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20participant%20%3E%20(property)%20peer_events%20%3E%20(items)%20%3E%20(property)%20created_at">Link to this property</a>

<details>

<summary>

EventName SessionGetSessionParticipantDetailsResponseDataParticipantPeerEventsEventNameOptional

Name of the peer event.

</summary>

One of the following:

const SessionGetSessionParticipantDetailsResponseDataParticipantPeerEventsEventNamePeerCreated SessionGetSessionParticipantDetailsResponseDataParticipantPeerEventsEventName = "PEER\_CREATED"

<a href="#(resource)%20realtime_kit.sessions%20%3E%20(model)%20SessionGetSessionParticipantDetailsResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20participant%20%3E%20(property)%20peer_events%20%3E%20(items)%20%3E%20(property)%20event_name%20%3E%20(member)%200">Link to this property</a>

const SessionGetSessionParticipantDetailsResponseDataParticipantPeerEventsEventNamePeerJoining SessionGetSessionParticipantDetailsResponseDataParticipantPeerEventsEventName = "PEER\_JOINING"

<a href="#(resource)%20realtime_kit.sessions%20%3E%20(model)%20SessionGetSessionParticipantDetailsResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20participant%20%3E%20(property)%20peer_events%20%3E%20(items)%20%3E%20(property)%20event_name%20%3E%20(member)%201">Link to this property</a>

const SessionGetSessionParticipantDetailsResponseDataParticipantPeerEventsEventNamePeerLeaving SessionGetSessionParticipantDetailsResponseDataParticipantPeerEventsEventName = "PEER\_LEAVING"

<a href="#(resource)%20realtime_kit.sessions%20%3E%20(model)%20SessionGetSessionParticipantDetailsResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20participant%20%3E%20(property)%20peer_events%20%3E%20(items)%20%3E%20(property)%20event_name%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20realtime_kit.sessions%20%3E%20(model)%20SessionGetSessionParticipantDetailsResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20participant%20%3E%20(property)%20peer_events%20%3E%20(items)%20%3E%20(property)%20event_name">Link to this property</a>

MinutesConsumed float64Optional

Minutes consumed attributed to this event.

<a href="#(resource)%20realtime_kit.sessions%20%3E%20(model)%20SessionGetSessionParticipantDetailsResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20participant%20%3E%20(property)%20peer_events%20%3E%20(items)%20%3E%20(property)%20minutes_consumed">Link to this property</a>

ParticipantID stringOptional

ID of the participant this event belongs to.

<a href="#(resource)%20realtime_kit.sessions%20%3E%20(model)%20SessionGetSessionParticipantDetailsResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20participant%20%3E%20(property)%20peer_events%20%3E%20(items)%20%3E%20(property)%20participant_id">Link to this property</a>

PeerID stringOptional

Peer ID this event belongs to.

<a href="#(resource)%20realtime_kit.sessions%20%3E%20(model)%20SessionGetSessionParticipantDetailsResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20participant%20%3E%20(property)%20peer_events%20%3E%20(items)%20%3E%20(property)%20peer_id">Link to this property</a>

<details>

<summary>

PresetViewType SessionGetSessionParticipantDetailsResponseDataParticipantPeerEventsPresetViewTypeOptional

View type of the preset associated with the peer.

</summary>

One of the following:

const SessionGetSessionParticipantDetailsResponseDataParticipantPeerEventsPresetViewTypeGroupCall SessionGetSessionParticipantDetailsResponseDataParticipantPeerEventsPresetViewType = "GROUP\_CALL"

<a href="#(resource)%20realtime_kit.sessions%20%3E%20(model)%20SessionGetSessionParticipantDetailsResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20participant%20%3E%20(property)%20peer_events%20%3E%20(items)%20%3E%20(property)%20preset_view_type%20%3E%20(member)%200">Link to this property</a>

const SessionGetSessionParticipantDetailsResponseDataParticipantPeerEventsPresetViewTypeWebinar SessionGetSessionParticipantDetailsResponseDataParticipantPeerEventsPresetViewType = "WEBINAR"

<a href="#(resource)%20realtime_kit.sessions%20%3E%20(model)%20SessionGetSessionParticipantDetailsResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20participant%20%3E%20(property)%20peer_events%20%3E%20(items)%20%3E%20(property)%20preset_view_type%20%3E%20(member)%201">Link to this property</a>

const SessionGetSessionParticipantDetailsResponseDataParticipantPeerEventsPresetViewTypeAudioRoom SessionGetSessionParticipantDetailsResponseDataParticipantPeerEventsPresetViewType = "AUDIO\_ROOM"

<a href="#(resource)%20realtime_kit.sessions%20%3E%20(model)%20SessionGetSessionParticipantDetailsResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20participant%20%3E%20(property)%20peer_events%20%3E%20(items)%20%3E%20(property)%20preset_view_type%20%3E%20(member)%202">Link to this property</a>

const SessionGetSessionParticipantDetailsResponseDataParticipantPeerEventsPresetViewTypeLivestream SessionGetSessionParticipantDetailsResponseDataParticipantPeerEventsPresetViewType = "LIVESTREAM"

<a href="#(resource)%20realtime_kit.sessions%20%3E%20(model)%20SessionGetSessionParticipantDetailsResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20participant%20%3E%20(property)%20peer_events%20%3E%20(items)%20%3E%20(property)%20preset_view_type%20%3E%20(member)%203">Link to this property</a>

const SessionGetSessionParticipantDetailsResponseDataParticipantPeerEventsPresetViewTypeChat SessionGetSessionParticipantDetailsResponseDataParticipantPeerEventsPresetViewType = "CHAT"

<a href="#(resource)%20realtime_kit.sessions%20%3E%20(model)%20SessionGetSessionParticipantDetailsResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20participant%20%3E%20(property)%20peer_events%20%3E%20(items)%20%3E%20(property)%20preset_view_type%20%3E%20(member)%204">Link to this property</a>

</details>

<a href="#(resource)%20realtime_kit.sessions%20%3E%20(model)%20SessionGetSessionParticipantDetailsResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20participant%20%3E%20(property)%20peer_events%20%3E%20(items)%20%3E%20(property)%20preset_view_type">Link to this property</a>

SessionID stringOptional

ID of the session this event belongs to.

<a href="#(resource)%20realtime_kit.sessions%20%3E%20(model)%20SessionGetSessionParticipantDetailsResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20participant%20%3E%20(property)%20peer_events%20%3E%20(items)%20%3E%20(property)%20session_id">Link to this property</a>

SocketSessionID stringOptional

ID of the socket session associated with this event.

<a href="#(resource)%20realtime_kit.sessions%20%3E%20(model)%20SessionGetSessionParticipantDetailsResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20participant%20%3E%20(property)%20peer_events%20%3E%20(items)%20%3E%20(property)%20socket_session_id">Link to this property</a>

UpdatedAt stringOptional

Timestamp when this peer event was last updated.

<a href="#(resource)%20realtime_kit.sessions%20%3E%20(model)%20SessionGetSessionParticipantDetailsResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20participant%20%3E%20(property)%20peer_events%20%3E%20(items)%20%3E%20(property)%20updated_at">Link to this property</a>

</details>

<a href="#(resource)%20realtime_kit.sessions%20%3E%20(model)%20SessionGetSessionParticipantDetailsResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20participant%20%3E%20(property)%20peer_events">Link to this property</a>

PresetName stringOptional

Name of the preset associated with the participant.

<a href="#(resource)%20realtime_kit.sessions%20%3E%20(model)%20SessionGetSessionParticipantDetailsResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20participant%20%3E%20(property)%20preset_name">Link to this property</a>

UpdatedAt stringOptional

timestamp when this participant’s data was last updated.

<a href="#(resource)%20realtime_kit.sessions%20%3E%20(model)%20SessionGetSessionParticipantDetailsResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20participant%20%3E%20(property)%20updated_at">Link to this property</a>

UserID stringOptional

User id for this participant.

<a href="#(resource)%20realtime_kit.sessions%20%3E%20(model)%20SessionGetSessionParticipantDetailsResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20participant%20%3E%20(property)%20user_id">Link to this property</a>

</details>

<a href="#(resource)%20realtime_kit.sessions%20%3E%20(model)%20SessionGetSessionParticipantDetailsResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20participant">Link to this property</a>

</details>

<a href="#(resource)%20realtime_kit.sessions%20%3E%20(model)%20SessionGetSessionParticipantDetailsResponse%20%3E%20(schema)%20%3E%20(property)%20data">Link to this property</a>

Success boolOptional

<a href="#(resource)%20realtime_kit.sessions%20%3E%20(model)%20SessionGetSessionParticipantDetailsResponse%20%3E%20(schema)%20%3E%20(property)%20success">Link to this property</a>

</details>

[Link to this property](<#(resource)%20realtime_kit.sessions%20%3E%20(model)%20SessionGetSessionParticipantDetailsResponse%20%3E%20(schema)>)

### Fetch details of a participant

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/realtime_kit"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  response, err := client.RealtimeKit.Sessions.GetSessionParticipantDetails(
    context.TODO(),
    "14a396e7-ca44-4937-bf1f-050a69118543",
    "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    realtime_kit.SessionGetSessionParticipantDetailsParams{
      AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", response.Data)
}
```

200 example

```
{
  "data": {
    "participant": {
      "id": "id",
      "created_at": "created_at",
      "custom_participant_id": "custom_participant_id",
      "display_name": "display_name",
      "duration": 0,
      "joined_at": "joined_at",
      "left_at": "left_at",
      "peer_events": [
        {
          "id": "id",
          "created_at": "created_at",
          "event_name": "PEER_CREATED",
          "minutes_consumed": 0,
          "participant_id": "participant_id",
          "peer_id": "peer_id",
          "preset_view_type": "GROUP_CALL",
          "session_id": "session_id",
          "socket_session_id": "socket_session_id",
          "updated_at": "updated_at"
        }
      ],
      "preset_name": "preset_name",
      "updated_at": "updated_at",
      "user_id": "user_id"
    }
  },
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "data": {
    "participant": {
      "id": "id",
      "created_at": "created_at",
      "custom_participant_id": "custom_participant_id",
      "display_name": "display_name",
      "duration": 0,
      "joined_at": "joined_at",
      "left_at": "left_at",
      "peer_events": [
        {
          "id": "id",
          "created_at": "created_at",
          "event_name": "PEER_CREATED",
          "minutes_consumed": 0,
          "participant_id": "participant_id",
          "peer_id": "peer_id",
          "preset_view_type": "GROUP_CALL",
          "session_id": "session_id",
          "socket_session_id": "socket_session_id",
          "updated_at": "updated_at"
        }
      ],
      "preset_name": "preset_name",
      "updated_at": "updated_at",
      "user_id": "user_id"
    }
  },
  "success": true
}
```